Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Deprecation warning Chrome 64 chrome.loadTimes() #1505

Closed
mudrz opened this issue Feb 24, 2018 · 0 comments

Comments

@mudrz
Copy link

commented Feb 24, 2018

I am opening this issue in all 3 affected libraries (create-react-app facebook/create-react-app#4072 , html-webpack-plugin jantimon/html-webpack-plugin#858 , bluebird #1505)

Is this a bug report?

No, it is a deprecation warning

Environment

  1. node -v: 8.5.0

  2. npm -v: 5.6.0

  3. yarn --version (if you use Yarn): 1.3.2

  4. npm ls react-scripts (if you haven’t ejected): 1.1.1

  5. Operating system: MacOS High Sierra 10.13.3

  6. Browser and version (if relevant): Chrome 64

Steps to Reproduce

  1. create-react-app test
  2. cd test
  3. yarn start
  4. Open with Chrome 64+

Behavior

Chrome 64 displays warnings (more annoyingly - even in production):
[Deprecation] chrome.loadTimes() is deprecated, instead use standardized API: nextHopProtocol in Navigation Timing 2.

It is related to:
https://www.chromestatus.com/features/5637885046816768

I have searched which dependencies might use chrome.loadTimes() and found, that it might be bluebird:

ent
└─┬ react-scripts@1.1.1
  └─┬ html-webpack-plugin@2.29.0
    └── bluebird@3.5.1 

Reproducible Demo

Open any create-react-app app, including the create-react-app template https://jsfiddle.net/84v837e9/
or bluebird's documentation http://bluebirdjs.com/docs/getting-started.html

This was referenced Oct 11, 2019
This was referenced Oct 16, 2019
Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Projects
None yet
1 participant
You can’t perform that action at this time.